<?
#----------------------------------------
class abil_class { 	var $enable; var $mymaxuses; var $myuses; var $cost; var $uses; var $maxuses;
	function abil_class($id_abil,$id_person,$id_clan) {
		$res=db_use('array',"select ar.*,au.curuses from clana_users ar 
		LEFT JOIN clana_uses au on au.id_abil=ar.id_abil and au.id_person=ar.id_person and au.id_clan=ar.id_clan and au.timeday=CURRENT_TIMESTAMP
		where ar.id_abil='".$id_abil."' and ar.id_person='".$id_person."' and ar.id_clan='".$id_clan."'");
		if ($res['id_abil']) {
			$this->enable=($res['enable']?true:false);
			$this->myuses=$res['curuses'];
			$this->mymaxuses=$res['maxuses'];
			# подсчитать сколько уже заюзано
			$res=db_use('array',"select sum(curuses) as sum1 from clana_uses where 
			id_abil='".$id_abil."' and id_person='".$id_person."' and id_clan='".$id_clan."' and timeday=CURRENT_TIMESTAMP");
			$this->uses=$res['sum1'];
		}else{
			$this->enable=false;
		}
	}
}
#----------------------------------------

class abils { var $abils; var $mesto;
	function abils ($id_person,$id_clan,$klan) {
		# определить место в кланрейтинге
		$mesto=9999;
		$res=db_use('query',"SELECT distinct s.*,t.klan FROM `top_stat` s LEFT JOIN top t on t.id_site=s.id_site 
		where timeday=CURRENT_TIMESTAMP and t.razdel=1 and t.deleted=0 order by s.host desc,s.vizit desc");
		unset($i);while ($i<mysql_num_rows($res)) {
			$i++;$s=mysql_fetch_array($res);
			if ($s['klan']==$klan) {$mesto=$i;break;}
		}
		$this->mesto=$mesto;
		
	/*
	1 -  Нападение
	2 - Кровавое нападение
	3 - Колодец Жизни
	4 - Колодец Магии
	5 - Молчание на 15 мин.
	6 - Молчание на 1 час.
	7 -  Телепортация
	8 - лечение лег травм себе
	9 - лечение сред травм себе
	10 - лечение тяжелых травм себе
	*/
		$a=array();# Количество в день
		$c=array();# Стоимость 
		$a[1]=array(30,15,10,08,07,06,05,04,03,02,02,02,02,02,01,01,01,00,01);
		$c[1]=array(02,04,04,04,04,04,04,04,04,04,04,04,04,04,04,04,04,00,04);
		$a[2]=array(10,05,03,01,01);
		$c[2]=array(03,06,07,07,07);
		$a[3]=array(5000,3000,1750,1250,1200,1150,1100,1050,1000,900,800,600,500,400,300,300,300,300);
		$c[3]=array(1   ,2   ,3   ,3   ,3   ,3   ,3   ,3   ,3   ,4  ,4  ,4   ,4  ,4 ,4  ,5  ,5  ,5);
		$a[4]=array(5000,1000);
		$c[4]=array(5   ,50);
		$a[5]=array(20,10,05,03,02,01,01,01,01,01,01,01,01,01,01,01,00,00,00,02);
		$c[5]=array(00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00,00);
		$a[6]=array(15,08,04,02,01,01,01,01,01,01);
		$c[6]=array(02,05,07,07,07,07,07,07,07,10);
		$a[7]=array(10,05,03);
		$c[7]=array(05,10,15);
		$a[8]=array(25,15,07,04,02);
		$c[8]=array(05,08,10,13,15);
		$a[9]=array(20,10,05,03,01);
		$c[9]=array(10,15,17,20,25);
	   $a[10]=array(08,06,02,01,01);
	   $c[10]=array(15,20,25,30,40);
		$this->abils = array();
		for ($i=1;$i<11;$i++) {
			$this->abils[$i]=new abil_class($i,$id_person,$id_clan);
			$this->abils[$i]->cost=$c[$i][$mesto+1];
			$this->abils[$i]->maxuses=$a[$i][$mesto+1];
		}
	}#/func
}
	
function abilpic ($abil) {
	switch ($abil) {
		case 1:return 'pal_button8';break;
		case 2:return 'pal_button9';break;
		case 3:return 'healvortex';break;
		case 4:return 'manavortex';break;
		case 5:return 'silence15';break;
		case 6:return 'silence60';break;
		case 7:return 'teleport';break;
		case 8:return 'cure1';break;
		case 9:return 'cure2';break;
		case 10:return 'cure3';break;
	}
}
function abilnum($abilpic) {
	switch ($abilpic) {
		case 'pal_button8':return 1;break;
		case 'pal_button9':return 2;break;
		case 'healvortex':return 3;break;
		case 'manavortex':return 4;break;
		case 'silence15':return 5;break;
		case 'silence60':return 6;break;
		case 'teleport':return 7;break;
		case 'cure1':return 8;break;
		case 'cure2':return 9;break;
		case 'cure3':return 10;break;
	}
}
function abilname ($abil) {
	switch ($abil) {
		case 1:return 'Нападение';break;
		case 2:return 'Кровавое нападение';break;
		case 3:return 'Колодец жизни';break;
		case 4:return 'Колодец магии';break;
		case 5:return 'Молчание на 15 мин';break;

		case 6:return 'Молчание на 1 час';break;
		case 7:return 'Телепортация';break;
		case 8:return 'Лечение легких травм (себе)';break;
		case 9:return 'Лечение средних травм (себе)';break;
		case 10:return 'Лечение тяжелых травм (себе)';break;
	}
}

?>